> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get companies

> Retrieve a list of all companies associated with the firm. Each company includes identifiers and metadata.

**Filtering:**
- Use `ids[]` parameter to filter by specific company IDs
- Use `name` parameter to filter by company name (case-insensitive partial matching)

**Notes:**
- If no filters are specified, returns all companies associated with the firm.

**Permissions:**
- User must be authenticated via OAuth.



## OpenAPI

````yaml get /companies/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /companies/:
    get:
      tags:
        - companies
      summary: Get companies
      description: >-
        Retrieve a list of all companies associated with the firm. Each company
        includes identifiers and metadata.


        **Filtering:**

        - Use `ids[]` parameter to filter by specific company IDs

        - Use `name` parameter to filter by company name (case-insensitive
        partial matching)


        **Notes:**

        - If no filters are specified, returns all companies associated with the
        firm.


        **Permissions:**

        - User must be authenticated via OAuth.
      operationId: companies_list
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: ids[]
          in: query
          description: >-
            Filter companies by ID. Can be specified multiple times to filter by
            multiple IDs (e.g., ?ids[]=123&ids[]=456&ids[]=789).
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: name
          in: query
          description: >-
            Filter companies by name. Performs case-insensitive partial matching
            on company names. .
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Company'
components:
  schemas:
    Company:
      required:
        - description
        - firm_sector
        - investment_lead_id
        - logo_url
        - name
        - sector
      type: object
      properties:
        city:
          title: City
          maxLength: 255
          type: string
        description:
          title: Description
          type: string
        firm_sector:
          title: Firm sector
          type: string
        fiscal_year_end:
          title: Fiscal year end
          maxLength: 10
          minLength: 1
          type: string
        id:
          title: Id
          type: string
          readOnly: true
        invested_fund_ids:
          type: array
          readOnly: true
          items:
            minLength: 1
            type: string
        investment_lead_id:
          title: Investment lead id
          type: string
          nullable: true
        logo_url:
          title: Logo url
          minLength: 1
          type: string
        name:
          title: Name
          maxLength: 255
          minLength: 1
          type: string
        reporting_currency:
          title: Reporting currency
          minLength: 1
          type: string
          readOnly: true
        sector:
          title: Sector
          type: string
        slug:
          title: Slug
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
          readOnly: true
        status:
          title: Status
          type: string
          readOnly: true
        unique_ref:
          title: Unique ref
          type: string
          readOnly: true
        website:
          title: Website
          maxLength: 255
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````